diff --git a/modules/PowerManagement_1-1/test/bq241xx/module_test_bq241xx.h b/modules/PowerManagement_1-1/test/bq241xx/module_test_bq241xx.h
new file mode 100644
index 0000000..39af892
--- /dev/null
+++ b/modules/PowerManagement_1-1/test/bq241xx/module_test_bq241xx.h
@@ -0,0 +1,66 @@
+/*
+AMiRo-OS is an operating system designed for the Autonomous Mini Robot (AMiRo) platform.
+Copyright (C) 2016..2019  Thomas Schöpping et al.
+
+This program is free software: you can redistribute it and/or modify
+it under the terms of the GNU General Public License as published by
+the Free Software Foundation, either version 3 of the License, or
+(at your option) any later version.
+
+This program is distributed in the hope that it will be useful,
+but WITHOUT ANY WARRANTY; without even the implied warranty of
+MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+GNU General Public License for more details.
+
+You should have received a copy of the GNU General Public License
+along with this program.  If not, see <http://www.gnu.org/licenses/>.
+*/
+
+
+#ifndef MODULE_TEST_BQ241xx_H
+#define MODULE_TEST_BQ241xx_H
+
+#include <amiroos.h>
+
+#if (AMIROOS_CFG_TESTS_ENABLE == true) || defined(__DOXYGEN__)
+
+/******************************************************************************/
+/* CONSTANTS                                                                  */
+/******************************************************************************/
+
+/******************************************************************************/
+/* SETTINGS                                                                   */
+/******************************************************************************/
+
+/******************************************************************************/
+/* CHECKS                                                                     */
+/******************************************************************************/
+
+/******************************************************************************/
+/* DATA STRUCTURES AND TYPES                                                  */
+/******************************************************************************/
+
+/******************************************************************************/
+/* MACROS                                                                     */
+/******************************************************************************/
+
+/******************************************************************************/
+/* EXTERN DECLARATIONS                                                        */
+/******************************************************************************/
+
+#if defined(__cplusplus)
+extern "C" {
+#endif /* defined(__cplusplus) */
+   int moduleTestBq241xxShellCb(BaseSequentialStream* stream, int argc, char* argv[], aos_testresult_t* result);
+#if defined(__cplusplus)
+}
+#endif /* defined(__cplusplus) */
+
+/******************************************************************************/
+/* INLINE FUNCTIONS                                                           */
+/******************************************************************************/
+
+#endif /* (AMIROOS_CFG_TESTS_ENABLE == true) */
+
+#endif /* MODULE_TEST_BQ241xx_H */
+
diff --git a/modules/PowerManagement_1-1/test/bq27500/module_test_bq27500.c b/modules/PowerManagement_1-1/test/bq27500/module_test_bq27500.c
new file mode 100644
index 0000000..9ac8e82
--- /dev/null
+++ b/modules/PowerManagement_1-1/test/bq27500/module_test_bq27500.c
@@ -0,0 +1,114 @@
+/*
+AMiRo-OS is an operating system designed for the Autonomous Mini Robot (AMiRo) platform.
+Copyright (C) 2016..2019  Thomas Schöpping et al.
+
+This program is free software: you can redistribute it and/or modify
+it under the terms of the GNU General Public License as published by
+the Free Software Foundation, either version 3 of the License, or
+(at your option) any later version.
+
+This program is distributed in the hope that it will be useful,
+but WITHOUT ANY WARRANTY; without even the implied warranty of
+MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+GNU General Public License for more details.
+
+You should have received a copy of the GNU General Public License
+along with this program.  If not, see <http://www.gnu.org/licenses/>.
+*/
+
+#include <amiroos.h>
+
+#if (AMIROOS_CFG_TESTS_ENABLE == true) || defined(__DOXYGEN__)
+
+#include <module_test_bq27500.h>
+#include <aos_test_bq27500.h>
+#include <string.h>
+
+/******************************************************************************/
+/* LOCAL DEFINITIONS                                                          */
+/******************************************************************************/
+
+/******************************************************************************/
+/* EXPORTED VARIABLES                                                         */
+/******************************************************************************/
+
+/******************************************************************************/
+/* LOCAL TYPES                                                                */
+/******************************************************************************/
+
+/******************************************************************************/
+/* LOCAL VARIABLES                                                            */
+/******************************************************************************/
+
+static aos_test_bq27500data_t _data = {
+  /* driver   */ NULL,
+  /* timeout  */ MICROSECONDS_PER_SECOND,
+};
+
+static AOS_TEST(_test, "bq27500", "fuel gauge", moduleTestBq27500ShellCb, aosTestBq27500Func, &_data);
+
+/******************************************************************************/
+/* LOCAL FUNCTIONS                                                            */
+/******************************************************************************/
+
+/******************************************************************************/
+/* EXPORTED FUNCTIONS                                                         */
+/******************************************************************************/
+
+int moduleTestBq27500ShellCb(BaseSequentialStream* stream, int argc, char* argv[], aos_testresult_t* result)
+{
+  enum {
+    UNKNOWN,
+    FRONT, REAR,
+  } charger = UNKNOWN;
+
+  // evaluate argument
+  if (argc == 2) {
+    if (strcmp(argv[1], "-f") == 0 || strcmp(argv[1], "--front") == 0) {
+      charger = FRONT;
+    } else if (strcmp(argv[1], "-r") == 0 || strcmp(argv[1], "--rear") == 0) {
+      charger = REAR;
+    }
+  }
+
+  // handle valid charger
+  if (charger != UNKNOWN) {
+    aos_testresult_t res = {0, 0};
+
+    switch (charger) {
+      case FRONT:
+        _data.driver = &moduleLldFuelGaugeFront;
+        res = aosTestRun(stream, &_test, "front battery");
+        _data.driver = NULL;
+        break;
+      case REAR:
+        _data.driver = &moduleLldFuelGaugeRear;
+        res = aosTestRun(stream, &_test, "rear battery");
+        _data.driver = NULL;
+        break;
+      default:
+        break;
+    }
+    if (result != NULL) {
+      *result = res;
+    }
+    return AOS_OK;
+  }
+  // handle invalid arguments
+  else {
+    // print help
+    chprintf(stream, "Usage: %s OPTION\n", argv[0]);
+    chprintf(stream, "Options:\n");
+    chprintf(stream, "  --front, -f\n");
+    chprintf(stream, "    Test the front battery fuel gauge.\n");
+    chprintf(stream, "  --rear, -r\n");
+    chprintf(stream, "    Test the rear battery fuel gauge.\n");
+    if (result != NULL) {
+      result->passed = 0;
+      result->failed = 0;
+    }
+    return AOS_INVALIDARGUMENTS;
+   }
+}
+
+#endif /* (AMIROOS_CFG_TESTS_ENABLE == true) */
diff --git a/modules/PowerManagement_1-1/test/bq27500/module_test_bq27500.h b/modules/PowerManagement_1-1/test/bq27500/module_test_bq27500.h
new file mode 100644
index 0000000..edbc0ca
--- /dev/null
+++ b/modules/PowerManagement_1-1/test/bq27500/module_test_bq27500.h
@@ -0,0 +1,66 @@
+/*
+AMiRo-OS is an operating system designed for the Autonomous Mini Robot (AMiRo) platform.
+Copyright (C) 2016..2019  Thomas Schöpping et al.
+
+This program is free software: you can redistribute it and/or modify
+it under the terms of the GNU General Public License as published by
+the Free Software Foundation, either version 3 of the License, or
+(at your option) any later version.
+
+This program is distributed in the hope that it will be useful,
+but WITHOUT ANY WARRANTY; without even the implied warranty of
+MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+GNU General Public License for more details.
+
+You should have received a copy of the GNU General Public License
+along with this program.  If not, see <http://www.gnu.org/licenses/>.
+*/
+
+
+#ifndef MODULE_TEST_BQ27500_H
+#define MODULE_TEST_BQ27500_H
+
+#include <amiroos.h>
+
+#if (AMIROOS_CFG_TESTS_ENABLE == true) || defined(__DOXYGEN__)
+
+/******************************************************************************/
+/* CONSTANTS                                                                  */
+/******************************************************************************/
+
+/******************************************************************************/
+/* SETTINGS                                                                   */
+/******************************************************************************/
+
+/******************************************************************************/
+/* CHECKS                                                                     */
+/******************************************************************************/
+
+/******************************************************************************/
+/* DATA STRUCTURES AND TYPES                                                  */
+/******************************************************************************/
+
+/******************************************************************************/
+/* MACROS                                                                     */
+/******************************************************************************/
+
+/******************************************************************************/
+/* EXTERN DECLARATIONS                                                        */
+/******************************************************************************/
+
+#if defined(__cplusplus)
+extern "C" {
+#endif /* defined(__cplusplus) */
+   int moduleTestBq27500ShellCb(BaseSequentialStream* stream, int argc, char* argv[], aos_testresult_t* result);
+#if defined(__cplusplus)
+}
+#endif /* defined(__cplusplus) */
+
+/******************************************************************************/
+/* INLINE FUNCTIONS                                                           */
+/******************************************************************************/
+
+#endif /* (AMIROOS_CFG_TESTS_ENABLE == true) */
+
+#endif /* MODULE_TEST_BQ27500_H */
+
diff --git a/modules/PowerManagement_1-1/test/bq27500_bq241xx/module_test_bq27500_bq241xx.c b/modules/PowerManagement_1-1/test/bq27500_bq241xx/module_test_bq27500_bq241xx.c
new file mode 100644
index 0000000..a286f4d
--- /dev/null
+++ b/modules/PowerManagement_1-1/test/bq27500_bq241xx/module_test_bq27500_bq241xx.c
@@ -0,0 +1,119 @@
+/*
+AMiRo-OS is an operating system designed for the Autonomous Mini Robot (AMiRo) platform.
+Copyright (C) 2016..2019  Thomas Schöpping et al.
+
+This program is free software: you can redistribute it and/or modify
+it under the terms of the GNU General Public License as published by
+the Free Software Foundation, either version 3 of the License, or
+(at your option) any later version.
+
+This program is distributed in the hope that it will be useful,
+but WITHOUT ANY WARRANTY; without even the implied warranty of
+MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+GNU General Public License for more details.
+
+You should have received a copy of the GNU General Public License
+along with this program.  If not, see <http://www.gnu.org/licenses/>.
+*/
+
+#include <amiroos.h>
+
+#if (AMIROOS_CFG_TESTS_ENABLE == true) || defined(__DOXYGEN__)
+
+#include <module_test_bq27500_bq241xx.h>
+#include <aos_test_bq27500_bq241xx.h>
+#include <string.h>
+
+/******************************************************************************/
+/* LOCAL DEFINITIONS                                                          */
+/******************************************************************************/
+
+/******************************************************************************/
+/* EXPORTED VARIABLES                                                         */
+/******************************************************************************/
+
+/******************************************************************************/
+/* LOCAL TYPES                                                                */
+/******************************************************************************/
+
+/******************************************************************************/
+/* LOCAL VARIABLES                                                            */
+/******************************************************************************/
+
+static aos_test_bq27500bq241xxdata_t _data = {
+  /* bq27500 driver   */ NULL,
+  /* bq24103a driver  */ NULL,
+  /* timeout          */ MICROSECONDS_PER_SECOND,
+};
+
+static AOS_TEST(_test, "bq27500 & bq24103a", "fuel gauge & battery charger", moduleTestBq27500Bq241xxShellCb, aosTestBq27500Bq241xxFunc, &_data);
+
+/******************************************************************************/
+/* LOCAL FUNCTIONS                                                            */
+/******************************************************************************/
+
+/******************************************************************************/
+/* EXPORTED FUNCTIONS                                                         */
+/******************************************************************************/
+
+int moduleTestBq27500Bq241xxShellCb(BaseSequentialStream* stream, int argc, char* argv[], aos_testresult_t* result)
+{
+  enum {
+    UNKNOWN,
+    FRONT, REAR,
+  } charger = UNKNOWN;
+
+  // evaluate argument
+  if (argc == 2) {
+    if (strcmp(argv[1], "-f") == 0 || strcmp(argv[1], "--front") == 0) {
+      charger = FRONT;
+    } else if (strcmp(argv[1], "-r") == 0 || strcmp(argv[1], "--rear") == 0) {
+      charger = REAR;
+    }
+  }
+
+  // handle valid charger
+  if (charger != UNKNOWN) {
+    aos_testresult_t res = {0, 0};
+
+    switch (charger) {
+      case FRONT:
+        _data.bq27500 = &moduleLldFuelGaugeFront;
+        _data.bq241xx = &moduleLldBatteryChargerFront;
+        res = aosTestRun(stream, &_test, "front battery");
+        _data.bq27500 = NULL;
+        _data.bq241xx = NULL;
+        break;
+      case REAR:
+        _data.bq27500 = &moduleLldFuelGaugeRear;
+        _data.bq241xx = &moduleLldBatteryChargerRear;
+        res = aosTestRun(stream, &_test, "rear battery");
+        _data.bq27500 = NULL;
+        _data.bq241xx = NULL;
+        break;
+      default:
+        break;
+    }
+    if (result != NULL) {
+      *result = res;
+    }
+    return AOS_OK;
+  }
+  // handle invalid arguments
+  else {
+    // print help
+    chprintf(stream, "Usage: %s OPTION\n", argv[0]);
+    chprintf(stream, "Options:\n");
+    chprintf(stream, "  --front, -f\n");
+    chprintf(stream, "    Test the front battery fuel gauge and charger.\n");
+    chprintf(stream, "  --rear, -r\n");
+    chprintf(stream, "    Test the rear battery fuel gauge and charger.\n");
+    if (result != NULL) {
+      result->passed = 0;
+      result->failed = 0;
+    }
+    return AOS_INVALIDARGUMENTS;
+   }
+}
+
+#endif /* (AMIROOS_CFG_TESTS_ENABLE == true) */
diff --git a/modules/PowerManagement_1-1/test/bq27500_bq241xx/module_test_bq27500_bq241xx.h b/modules/PowerManagement_1-1/test/bq27500_bq241xx/module_test_bq27500_bq241xx.h
new file mode 100644
index 0000000..85d97f8
--- /dev/null
+++ b/modules/PowerManagement_1-1/test/bq27500_bq241xx/module_test_bq27500_bq241xx.h
@@ -0,0 +1,66 @@
+/*
+AMiRo-OS is an operating system designed for the Autonomous Mini Robot (AMiRo) platform.
+Copyright (C) 2016..2019  Thomas Schöpping et al.
+
+This program is free software: you can redistribute it and/or modify
+it under the terms of the GNU General Public License as published by
+the Free Software Foundation, either version 3 of the License, or
+(at your option) any later version.
+
+This program is distributed in the hope that it will be useful,
+but WITHOUT ANY WARRANTY; without even the implied warranty of
+MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+GNU General Public License for more details.
+
+You should have received a copy of the GNU General Public License
+along with this program.  If not, see <http://www.gnu.org/licenses/>.
+*/
+
+
+#ifndef MODULE_TEST_BQ27500_BQ241xx_H
+#define MODULE_TEST_BQ27500_BQ241xx_H
+
+#include <amiroos.h>
+
+#if (AMIROOS_CFG_TESTS_ENABLE == true) || defined(__DOXYGEN__)
+
+/******************************************************************************/
+/* CONSTANTS                                                                  */
+/******************************************************************************/
+
+/******************************************************************************/
+/* SETTINGS                                                                   */
+/******************************************************************************/
+
+/******************************************************************************/
+/* CHECKS                                                                     */
+/******************************************************************************/
+
+/******************************************************************************/
+/* DATA STRUCTURES AND TYPES                                                  */
+/******************************************************************************/
+
+/******************************************************************************/
+/* MACROS                                                                     */
+/******************************************************************************/
+
+/******************************************************************************/
+/* EXTERN DECLARATIONS                                                        */
+/******************************************************************************/
+
+#if defined(__cplusplus)
+extern "C" {
+#endif /* defined(__cplusplus) */
+   int moduleTestBq27500Bq241xxShellCb(BaseSequentialStream* stream, int argc, char* argv[], aos_testresult_t* result);
+#if defined(__cplusplus)
+}
+#endif /* defined(__cplusplus) */
+
+/******************************************************************************/
+/* INLINE FUNCTIONS                                                           */
+/******************************************************************************/
+
+#endif /* (AMIROOS_CFG_TESTS_ENABLE == true) */
+
+#endif /* MODULE_TEST_BQ27500_BQ241xx_H */
+
diff --git a/modules/PowerManagement_1-2/Makefile b/modules/PowerManagement_1-2/Makefile
index 09773b1..edcaf66 100644
--- a/modules/PowerManagement_1-2/Makefile
+++ b/modules/PowerManagement_1-2/Makefile
@@ -112,100 +112,76 @@ endif
 # Project, target, sources and paths                                           #
 #                                                                              #
 
-# Absolute path to the project
-PROJECT_PATH := $(abspath $(dir $(abspath $(lastword $(MAKEFILE_LIST)))))
+# Absolute path to the project.
+PROJECT_PATH := $(abspath $(dir $(lastword $(MAKEFILE_LIST))))
 
-# Define project name here
-PROJECT := $(patsubst $(abspath $(dir $(abspath $(lastword $(MAKEFILE_LIST))))..)/%,%,$(PROJECT_PATH))
+# Project name.
+PROJECT := $(notdir $(PROJECT_PATH))
 
 # Target settings.
-MCU = cortex-m4
+MCU := cortex-m4
 
-# Imported source files and paths.
-include ../../kernel/kernel.mk
-CHIBIOS    := $(AMIROOS_KERNEL)
-CONFDIR    := .
+# Module specific paths and directories.
+MODULEDIR := .
+CONFDIR := $(MODULEDIR)
 ifeq ($(BUILDDIR),)
   BUILDDIR := $(PROJECT_PATH)/build
 endif
-DEPDIR     := $(dir $(BUILDDIR)).dep
-AMIROOS    := ../..
-# Licensing files.
-include $(CHIBIOS)/os/license/license.mk
-# Startup files.
+DEPDIR := $(dir $(BUILDDIR)).dep
+
+# Linker script.
+LDSCRIPT= STM32F405xG.ld
+
+# General AMiRo-OS files.
+include ../../amiroos.mk
+
+# Module specific ChibiOS files.
 include $(CHIBIOS)/os/common/startup/ARMCMx/compilers/GCC/mk/startup_stm32f4xx.mk
-# HAL-OSAL files (optional).
-include $(CHIBIOS)/os/hal/hal.mk
 include $(CHIBIOS)/os/hal/ports/STM32/STM32F4xx/platform.mk
-include $(CHIBIOS)/os/hal/osal/rt/osal.mk
-include $(CHIBIOS)/os/hal/lib/streams/streams.mk
-# RTOS files (optional).
-include $(CHIBIOS)/os/rt/rt.mk
 include $(CHIBIOS)/os/common/ports/ARMCMx/compilers/GCC/mk/port_v7m.mk
-# Auto-build files in ./source recursively.
-include $(CHIBIOS)/tools/mk/autobuild.mk
-# Other files (optional).
-include $(CHIBIOS)/test/lib/test.mk
-include $(CHIBIOS)/test/rt/rt_test.mk
-include $(CHIBIOS)/test/oslib/oslib_test.mk
-# AMiRo-BLT files
-include ../../bootloader/bootloader.mk
-# AMiRo-LLD files
-include ../../periphery-lld/periphery-lld.mk
-# AMiRo-OS files
-include ../modules.mk
-include $(AMIROOS)/core/core.mk
-include $(AMIROOS)/unittests/unittests.mk
-
-# Define linker script file here
-LDSCRIPT= STM32F405xG.ld
 
-# C sources that can be compiled in ARM or THUMB mode depending on the global
-# setting.
-CSRC = $(ALLCSRC) \
-       $(CHIBIOS)/os/various/syscalls.c \
-       $(CHIBIOS)/os/various/evtimer.c \
-       $(TESTSRC) \
-       board.c \
-       $(PERIPHERYLLDCSRC) \
-       $(UNITTESTSCSRC) \
-       $(AMIROOSCORECSRC) \
-       $(MODULESCSRC) \
-       module.c \
-       $(APPSCSRC)
-
-# C++ sources that can be compiled in ARM or THUMB mode depending on the global
-# setting.
-CPPSRC = $(ALLCPPSRC) \
-         $(CHIBIOS)/os/various/cpp_wrappers/syscalls_cpp.cpp \
-         $(AMIROOSCORECPPSRC) \
-         $(APPSCPPSRC)
-
-# List ASM source files here.
-ASMSRC = $(ALLASMSRC) \
-         $(APPSASMSRC)
-
-# List ASM with preprocessor source files here.
-ASMXSRC = $(ALLXASMSRC) \
-          $(APPSASMXSRC)
-
-# Inclusion directories.
-INCDIR = $(CONFDIR) \
-         $(ALLINC) \
-         $(TESTINC) \
-         $(CHIBIOS)/os/hal/lib/streams \
-         $(BOOTLOADERINC) \
-         $(PERIPHERYLLDINC) \
-         $(AMIROOS) \
-         $(UNITTESTSINC) \
-         $(AMIROOSCOREINC) \
-         $(MODULESINC) \
-         $(APPSINC)
-
-# Define C warning options here.
+# Periphery LLDs.
+AMIROOS_PERIPHERYLLD_INC += $(AMIROLLD)/drivers/AT24C01B/v1 \
+                            $(AMIROLLD)/drivers/AT42QT1050/v1 \
+                            $(AMIROLLD)/drivers/bq241xx/v1 \
+                            $(AMIROLLD)/drivers/bq27500/v1 \
+                            $(AMIROLLD)/drivers/INA219/v1 \
+                            $(AMIROLLD)/drivers/LED/v1 \
+                            $(AMIROLLD)/drivers/MPR121/v1 \
+                            $(AMIROLLD)/drivers/PCA9544A/v1 \
+                            $(AMIROLLD)/drivers/PCAL6524/v1 \
+                            $(AMIROLLD)/drivers/PKxxxExxx/v1 \
+                            $(AMIROLLD)/drivers/TPS6211x/v1 \
+                            $(AMIROLLD)/drivers/VCNL4020/v1
+
+# Tests.
+AMIROOS_TEST_INC += $(AMIROOS_TEST_DIR)lld/adc \
+                    $(AMIROOS_TEST_DIR)periphery-lld/AT24C01B_v1 \
+                    $(AMIROOS_TEST_DIR)periphery-lld/AT42QT1050_v1 \
+                    $(AMIROOS_TEST_DIR)periphery-lld/bq241xx_v1 \
+                    $(AMIROOS_TEST_DIR)periphery-lld/bq27500_v1 \
+                    $(AMIROOS_TEST_DIR)periphery-lld/bq27500_v1_bq241xx_v1 \
+                    $(AMIROOS_TEST_DIR)periphery-lld/INA219_v1 \
+                    $(AMIROOS_TEST_DIR)periphery-lld/LED_v1 \
+                    $(AMIROOS_TEST_DIR)periphery-lld/MPR121_v1 \
+                    $(AMIROOS_TEST_DIR)periphery-lld/PCA9544A_v1 \
+                    $(AMIROOS_TEST_DIR)periphery-lld/PCAL6524_v1 \
+                    $(AMIROOS_TEST_DIR)periphery-lld/PKxxxExxx_v1 \
+                    $(AMIROOS_TEST_DIR)periphery-lld/TPS6211x_v1 \
+                    $(AMIROOS_TEST_DIR)periphery-lld/TPS6211x_v1_INA219_v1 \
+                    $(AMIROOS_TEST_DIR)periphery-lld/VCNL4020_v1
+
+# Module specific inclusion directories
+MODULE_INC = $(MODULEDIR) \
+             $(wildcard $(MODULEDIR)/test/*)
+
+# Module specific C source files.
+MODULE_CSRC = $(wildcard $(MODULE_INC:%=%/*.[Cc]))
+
+# C warning options.
 CWARN = -Wall -Wextra -Wundef -Wstrict-prototypes
 
-# Define C++ warning options here.
+# C++ warning options.
 CPPWARN = -Wall -Wextra -Wundef
 
 # Create an additional .srec image file.
diff --git a/modules/PowerManagement_1-2/alldconf.h b/modules/PowerManagement_1-2/alldconf.h
index 7a8f4b1..99c1b1c 100644
--- a/modules/PowerManagement_1-2/alldconf.h
+++ b/modules/PowerManagement_1-2/alldconf.h
@@ -43,100 +43,18 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
  */
 #define AMIROLLD_CFG_TIME_SIZE                  32
 
-// required to differentiate between various sensor rings
-#include <board.h>
-
-/**
- * @brief   Enable flag for the AT24C01BN-SH-B EEPROM.
- */
-#define AMIROLLD_CFG_AT24C01B                   1
-
-/**
- * @brief   Enable flag for the BQ24103A charger.
- */
-#define AMIROLLD_CFG_BQ241xx                    1
-
 /**
- * @brief   Enable flag for the BQ27500 fuel gauge.
+ * @brief   BQ27500 hardware version
  */
-#define AMIROLLD_CFG_BQ27500                    1
 #define BQ27500_LLD_HWVERSION                   130
 
 /**
- * @brief   Enable flag for the INA219 power monitor.
- */
-#define AMIROLLD_CFG_INA219                     1
-
-/**
- * @brief   Enable flag for the status LED.
+ * @brief   PKLCS1212E4001 frequency specification
  */
-#define AMIROLLD_CFG_LED                        1
-
-/**
- * @brief   Enable flag for the PKLCS1212E4001 buzzer.
- */
-#define AMIROLLD_CFG_PKxxxExxx                  1
 #define PKxxxExxx_LLD_FREQUENCY_MIN             2000
 #define PKxxxExxx_LLD_FREQUENCY_SPEC            4000
 #define PKxxxExxx_LLD_FREQUENCY_MAX             6000
 
-/**
- * @brief   Enable flag for the TPS2051BDBV power switch.
- */
-#define AMIROLLD_CFG_TPS20xxB                   1
-
-/**
- * @brief   Enable flag for the TPS62113 step-down converter.
- */
-#define AMIROLLD_CFG_TPS6211x                   1
-
-#if (BOARD_SENSORRING == BOARD_PROXIMITYSENSOR) || defined(__DOXYGEN__)
-
-/**
- * @brief   Enable flag for the MPR121 touch sensor.
- */
-#define AMIROLLD_CFG_MPR121                     1
-
-/**
- * @brief   Enable flag for the PCA9544A I2C multiplexer.
- */
-#define AMIROLLD_CFG_PCA9544A                   1
-
-/**
- * @brief   Enable flag for the VCNL4020 proximity sensor.
- */
-#define AMIROLLD_CFG_VCNL4020                   1
-
-#endif /* (BOARD_SENSORRING == BOARD_PROXIMITYSENSOR) */
-
-#if (BOARD_SENSORRING == BOARD_DISTANCESENSOR_VL53L0X) || defined(__DOXYGEN__)
-
-/**
- * @brief   Enable flag for the PCAL6524 GPIO extender
- */
-#define AMIROLLD_CFG_PCAL6524                   1
-
-/**
- * @brief   Enable flag for the AT42Q1050 touch sensor.
- */
-#define AMIROLLD_CFG_AT42QT1050                 1
-
-#endif /* (BOARD_SENSORRING == BOARD_DISTANCESENSOR_VL53L0X) */
-
-#if (BOARD_SENSORRING == BOARD_DISTANCESENSOR_VL53L1X) || defined(__DOXYGEN__)
-
-/**
- * @brief   Enable flag for the PCAL6524 GPIO extender
- */
-#define AMIROLLD_CFG_PCAL6524                   1
-
-/**
- * @brief   Enable flag for the AT42Q1050 touch sensor.
- */
-#define AMIROLLD_CFG_AT42QT1050                 1
-
-#endif /* (BOARD_SENSORRING == BOARD_DISTANCESENSOR_VL53L1X) */
-
 #endif /* ALLDCONF_H */
 
 /** @} */
diff --git a/modules/PowerManagement_1-2/board.h b/modules/PowerManagement_1-2/board.h
index 47c201b..685304b 100644
--- a/modules/PowerManagement_1-2/board.h
+++ b/modules/PowerManagement_1-2/board.h
@@ -90,7 +90,9 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
 /*
  * Configuration macro to define which type of sensor ring is attached.
  */
+#if !defined(BOARD_SENSORRING) || defined(__DOXYGEN__)
 #define BOARD_SENSORRING                BOARD_PROXIMITYSENSOR
+#endif
 
 /*
  * IO pins assignments.
diff --git a/modules/PowerManagement_1-2/halconf.h b/modules/PowerManagement_1-2/halconf.h
index 97a4b46..a63b05f 100644
--- a/modules/PowerManagement_1-2/halconf.h
+++ b/modules/PowerManagement_1-2/halconf.h
@@ -33,7 +33,7 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
 #define _CHIBIOS_HAL_CONF_
 #define _CHIBIOS_HAL_CONF_VER_7_0_
 
-#include "mcuconf.h"
+#include <mcuconf.h>
 
 /**
  * @brief   Enables the PAL subsystem.
